남박사의 파이썬 실전 100% 활용
남박사의 파이썬 실전 100% 활용
수강정보
(36개의 수강평)
1018명의 수강생
25% 할인, D-6
49,500원
66,000원
지식공유자 : 남박사
78회 수업 · 총 22시간 31분 수업
기간 : 평생 무제한 시청
수료증 : 발급 강의
수강 난이도 : 초급
남박사의 다른 강의 연관 로드맵
현주민 프로필

질문드립니다. 현주민 4일 전
안녕하세요. 오류에 대해 질문드립니다. 위의 캡처 두개는 제가 작성한 코드이고, 세번째 캡처는 채팅방에서 "/bye"를 입력했을 때 나타나는 오류입니다.  선생님과 똑같이 작성했고, 처음보는 오류라 질문드립니다.. 어떤 오류인지 알 수 있을까요?

2
현주민 프로필

안녕하세요. 오류 메세지에 대해 질문드립니다. 현주민 6일 전
위는 제가 쓴 코드이고 밑엔 오류 메세지입니다. ValueError 에 찍히는 숫자를 보니 자료는 제대로 가져오는 것 같은데, string 을 float 으로 컨버팅 할 수 없다는 오류처럼 보입니다.. 이유 알 수 있을까요? 그리고 또 한가지 궁금한 것은, 함수에서 return 을 하는 위치(들여쓰기) 가 어디인지 궁금합니다.    위의 캡처에서처럼 함수 실행 바로 뒤에서 들여쓰기 되기도하고, 아래의 캡처처럼 최종 if문 바로 뒤에서 들여쓰기 되기도 하는데, return 의 위치에 따라서도 함수의 값에 변화가 생기는지요?.. 

2
이지선 프로필

chardet 이 import가 안되는데.. 이지선 11일 전
chardet 을 import 할 수 없다고 나옵니다.. pip 으로 설치도 하였고 설치경로도 확인해봤으며 uninstall 후 install로 새로 깔아도 import가 안되는데 어떤 문제일까요..ㅠ

1
현주민 프로필

27분 29초 실행 시 질문드립니다. 현주민 17일 전
{"msg":"ip mismatched! callerIp=39.117.2xx.xxx. check out registered ips.","code":-401} 이러한 오류 메세지가 뜨는데.. 이유가 무엇일까요?ㅜ 엑세스 토큰도 정상적으로 받았고, 허용 IP 도 모두 삭제했는데도 이러한 메세지가 뜨네요.. ##한가지 더 질문드립니다## title, href, price, hot =r 과 r = title, href, price, hot 의 차이점은 무엇인가요?

2
goa00412 프로필

가격에 문자가 있을때는 어떻게 처리하나요? goa00412 20일 전
안녕하세요  강의 재미있게 잘 듣고 있습니다.  다름이 아니라 가격값을 가져올 때 종종 숫자뿐만아니라  문자가 섞여있어서 오류가 나는 경우가 있습니다.  이럴때는 어떻게 해야하나요?

1
major 프로필

안녕하세요 리브온 크롤링 하려고 F12 눌러보면 major 23일 전
https://onland.kbstar.com/quics?page=okbland 크롤링하려고 F12 누르면 다시 닫힙니다  방법이 없나요? 감사합니다

2
major 프로필

이미지가 onefile로 안들어간거 같아요 major 24일 전
안녕하세요 강의 몇번씩 보고 있어요 pyautogui exe만들려고하는데요 이미지가 함께 안들어가는거 같아요 onefile로 했는데요

1
pcii0274 프로필

파이썬 프로그램을 그래픽 요소를 추가하여 구현하려면 뭘 공부해야 하나요? pcii0274 26일 전
GUI 환경으로 파이썬 프로그램을 짤려면 어떤 분야를 공부해야 하나요?

1
major 프로필

다음강의는? major 1달 전
남박사님 앱으로 구현이 가능한 강의는 있나요? 언제쯤나오나요?  앱에서 제가 생각하는 서비스를  구현해보고 싶어요

2
강민수 프로필

텔레그램 봇 만들기 _ 오류 강민수 1달 전
안녕하세요 강사님 텔레봇을 만들다가 에러가 생겨 이렇게 질문을 올리게 됩니다 강사님의 텔레봇 코드 중 weather까지 작성해서 실행을 해보면 다음과 같은 에러가 발생하는데요. 왜 이러한 에러가 발생하는지 이해가 안됩니다 코드는 박사님이 해주신것과 일치하구요. 안되는 이유를 찾아보기 위해 한줄한줄 실행을 해봤는데요. 박사님이 작성하신 코드에서 import requests를 제거하면 코드가 에러 없이 실행이 되지만, requests 모듈을 불러오면  꼭 저러한 에러가 발생합니다 하지만 requests 모듈이 없으면 크롤링이 안되니.... 꼭 해결하고  싶어서요 에러를 정독하고 구글링도 해봤지만 해결이 안되 결국 이렇게 질문을 작성합니다..... 도와주세요.... ''' <오류 부분> DEBUG:urllib3.util.retry:Converted retries value: 3 -> Retry(total=3, connect=None, read=None, redirect=0, status=None) DEBUG:urllib3.connectionpool:Starting new HTTPS connection (1): api.telegram.org:443 DEBUG:urllib3.util.retry:Incremented Retry for (url='/bot934540352:AAFOImmeO8yA8Cg4eI8nhsmu7me5E8vqlkI/getUpdates'): Retry(total=2, connect=None, read=None, redirect=0, status=None) WARNING:urllib3.connectionpool:Retrying (Retry(total=2, connect=None, read=None, redirect=0, status=None)) after connection broken by 'SSLError(SSLError("bad handshake: Error([('SSL routines', 'tls_process_server_certificate', 'certificate verify failed')])"))': /bot934540352:AAFOImmeO8yA8Cg4eI8nhsmu7me5E8vqlkI/getUpdates DEBUG:urllib3.connectionpool:Starting new HTTPS connection (2): api.telegram.org:443 DEBUG:urllib3.util.retry:Incremented Retry for (url='/bot934540352:AAFOImmeO8yA8Cg4eI8nhsmu7me5E8vqlkI/getUpdates'): Retry(total=1, connect=None, read=None, redirect=0, status=None) WARNING:urllib3.connectionpool:Retrying (Retry(total=1, connect=None, read=None, redirect=0, status=None)) after connection broken by 'SSLError(SSLError("bad handshake: Error([('SSL routines', 'tls_process_server_certificate', 'certificate verify failed')])"))': /bot934540352:AAFOImmeO8yA8Cg4eI8nhsmu7me5E8vqlkI/getUpdates DEBUG:urllib3.connectionpool:Starting new HTTPS connection (3): api.telegram.org:443 DEBUG:urllib3.util.retry:Incremented Retry for (url='/bot934540352:AAFOImmeO8yA8Cg4eI8nhsmu7me5E8vqlkI/getUpdates'): Retry(total=0, connect=None, read=None, redirect=0, status=None) WARNING:urllib3.connectionpool:Retrying (Retry(total=0, connect=None, read=None, redirect=0, status=None)) after connection broken by 'SSLError(SSLError("bad handshake: Error([('SSL routines', 'tls_process_server_certificate', 'certificate verify failed')])"))': /bot934540352:AAFOImmeO8yA8Cg4eI8nhsmu7me5E8vqlkI/getUpdates DEBUG:urllib3.connectionpool:Starting new HTTPS connection (4): api.telegram.org:443 Traceback (most recent call last):   File "C:\Users\Kangminsu\Anaconda3\lib\site-packages\urllib3\contrib\pyopenssl.py", line 488, in wrap_socket     cnx.do_handshake()   File "C:\Users\Kangminsu\Anaconda3\lib\site-packages\OpenSSL\SSL.py", line 1915, in do_handshake     self._raise_ssl_error(self._ssl, result)   File "C:\Users\Kangminsu\Anaconda3\lib\site-packages\OpenSSL\SSL.py", line 1647, in _raise_ssl_error     _raise_current_error()   File "C:\Users\Kangminsu\Anaconda3\lib\site-packages\OpenSSL\_util.py", line 54, in exception_from_error_queue     raise exception_type(errors) OpenSSL.SSL.Error: [('SSL routines', 'tls_process_server_certificate', 'certificate verify failed')] During handling of the above exception, another exception occurred: Traceback (most recent call last):   File "C:\Users\Kangminsu\Anaconda3\lib\site-packages\urllib3\connectionpool.py", line 677, in urlopen     chunked=chunked,   File "C:\Users\Kangminsu\Anaconda3\lib\site-packages\urllib3\connectionpool.py", line 381, in _make_request     self._validate_conn(conn)   File "C:\Users\Kangminsu\Anaconda3\lib\site-packages\urllib3\connectionpool.py", line 976, in _validate_conn     conn.connect()   File "C:\Users\Kangminsu\Anaconda3\lib\site-packages\urllib3\connection.py", line 370, in connect     ssl_context=context,   File "C:\Users\Kangminsu\Anaconda3\lib\site-packages\urllib3\util\ssl_.py", line 377, in ssl_wrap_socket     return context.wrap_socket(sock, server_hostname=server_hostname)   File "C:\Users\Kangminsu\Anaconda3\lib\site-packages\urllib3\contrib\pyopenssl.py", line 494, in wrap_socket     raise ssl.SSLError("bad handshake: %r" % e) ssl.SSLError: ("bad handshake: Error([('SSL routines', 'tls_process_server_certificate', 'certificate verify failed')])",) During handling of the above exception, another exception occurred: Traceback (most recent call last):   File "C:\Users\Kangminsu\Anaconda3\lib\site-packages\telepot\__init__.py", line 1183, in get_from_telegram_server     allowed_updates=allowed_upd)   File "C:\Users\Kangminsu\Anaconda3\lib\site-packages\telepot\__init__.py", line 1000, in getUpdates     return self._api_request('getUpdates', _rectify(p))   File "C:\Users\Kangminsu\Anaconda3\lib\site-packages\telepot\__init__.py", line 491, in _api_request     return api.request((self._token, method, params, files), **kwargs)   File "C:\Users\Kangminsu\Anaconda3\lib\site-packages\telepot\api.py", line 154, in request     r = fn(*args, **kwargs)  # `fn` must be thread-safe   File "C:\Users\Kangminsu\Anaconda3\lib\site-packages\urllib3\request.py", line 171, in request_encode_body     return self.urlopen(method, url, **extra_kw)   File "C:\Users\Kangminsu\Anaconda3\lib\site-packages\urllib3\poolmanager.py", line 336, in urlopen     response = conn.urlopen(method, u.request_uri, **kw)   File "C:\Users\Kangminsu\Anaconda3\lib\site-packages\urllib3\connectionpool.py", line 765, in urlopen     **response_kw   File "C:\Users\Kangminsu\Anaconda3\lib\site-packages\urllib3\connectionpool.py", line 765, in urlopen     **response_kw   File "C:\Users\Kangminsu\Anaconda3\lib\site-packages\urllib3\connectionpool.py", line 765, in urlopen     **response_kw   File "C:\Users\Kangminsu\Anaconda3\lib\site-packages\urllib3\connectionpool.py", line 725, in urlopen     method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]   File "C:\Users\Kangminsu\Anaconda3\lib\site-packages\urllib3\util\retry.py", line 439, in increment     raise MaxRetryError(_pool, url, error or ResponseError(cause)) urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='api.telegram.org', port=443): Max retries exceeded with url: /bot934540352:AAFOImmeO8yA8Cg4eI8nhsmu7me5E8vqlkI/getUpdates (Caused by SSLError(SSLError("bad handshake: Error([('SSL routines', 'tls_process_server_certificate', 'certificate verify failed')])"))) DEBUG:urllib3.util.retry:Converted retries value: 3 -> Retry(total=3, connect=None, read=None, redirect=0, status=None) DEBUG:urllib3.connectionpool:Starting new HTTPS connection (5): api.telegram.org:443 Traceback (most recent call last):   File ".\bot3.py", line 109, in <module>     bot.message_loop(handler, run_forever=True)   File "C:\Users\Kangminsu\Anaconda3\lib\site-packages\telepot\__init__.py", line 1340, in message_loop     time.sleep(10) KeyboardInterrupt

1
kangdh777 프로필

특수 문자(기호) 입력 방법 문의 kangdh777 1달 전
안녕하세요 문자열 매서드 강의에서 특수 문자(기호) 입력이 있던데 어떻게 입력하나요? 맥 사용중입니다.

2
매니저 윌 프로필

안녕하세요! 남박사님. 기초적인 부분에 대해서 질문을 드립니다! 매니저 윌 1달 전
안녕하세요! 남박사 지식공유자님! 먼저 좋은 강의를 만들어주셔서 진심으로 감사드립니다! 남박사님의 강의를 열심히 수강하고 있고 있는데요! 기초적인 부분인데 여쭤보는게 실례가 아닌지 싶네요..! 관련 이미지 첨부해드립니다!Q. 리스트에서 0번째 데이터를 추출해서 튜플만 나오는 형식이 있는데, 이 부분에 대해 이론적으로 감이 안잡힙니다. 0번째 데이터라 함은 괄호(데이터구조)로 벗겨진다는 의미일까요? (섹션 4 : 반복문(for) 강의입니다.)

2
CHA CHA 프로필

GUI Event처리 중... CHA CHA 1달 전
Process finished with exit code -1073740791 (0xC0000409) 위와 같은 에러메시지가 나타나길래, 구글에서 검색을 했더니, 아래와 같은 해결책을 제시했습니다만.... 잘 이해가 되지 않는 부분이라 질문합니다.  def closeEvent(self, event):     self.deleteLater() 위 함수를 추가 하라고 하는데, ... 메모리 점유와 관련된 문제일까요??

1
현주민 프로필

div 검색 질문 드립니다. 현주민 1달 전
안녕하세요. 리뉴얼된 직방은 해당 박스의 div 데이터 자체가 class 명으로 검색되질 않네요 이유가 무엇인가요? 또 세모 박스를 열어봐도 해당 텍스트에 대한 데이터가 보이질 않는데.. 이런 경우가 흔한가요?ㅜ 

9
김민찬 프로필

질문드립니다 김민찬 1달 전
1. requests.get에 들어있는 stream=True의미는 무엇인가요? 그리고 .raw와 .content는 어떤 역할을 해주나요? 2.cv2.destroyAllWindows()가 키가 눌렸을때 모든 윈도우 창을 꺼준다고 하셨는데 위 코드가 없어도 바뀌는게 보이지 않습니다.정확히 어떤 역할을 하는지 알고싶습니다.

1
지식공유자 되기
많은 사람들에게 배움의 기회를 주고,
경제적 보상을 받아보세요.
지식공유참여
기업 교육을 위한 인프런
“인프런 비즈니스” 를 통해 모든 팀원이 인프런의 강의들을
자유롭게 학습하는 환경을 제공하세요.
인프런 비즈니스